Skip to main content
POST
/
collections
/
{collection_id}
/
videos
[Deprecated] Add a video to a collection
curl --request POST \
  --url https://api.cloudglue.dev/v1/collections/{collection_id}/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "<string>",
  "segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "collection_id": "<string>",
  "file_id": "<string>",
  "object": "collection_file",
  "added_at": 123,
  "status": "pending"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_id
string
required

The ID of the collection to add the video file to

Body

application/json

File association parameters

file_id
string
required

The ID of the file to add to the collection

segmentation_id
string<uuid>

Segmentation job id to use. If not provided will use default to uniform 20s segmentation. Cannot be provided together with segmentation_config.

segmentation_config
object

Configuration for video segmentation. Cannot be provided together with segmentation_id.

thumbnails_config
object

Response

Successful file addition

collection_id
string
required

ID of the collection

file_id
string
required

ID of the file

object
enum<string>
required

Object type, always 'collection_file'

Available options:
collection_file
added_at
integer
required

Unix timestamp in milliseconds when the file was added to the collection

status
enum<string>
required

Overall processing status of the file in this collection

Available options:
pending,
processing,
completed,
failed,
not_applicable
file
object

The file object

segmentation
object

Segmentation information for this file in the collection. Only present when the file has been segmented.